# $Revision: 1.21 $, $Date: 2010/09/24 18:55:21 $
Summary:	xconsole application to monitor system console messages with X
Summary(pl.UTF-8):	Aplikacja xconsole do monitorowania komunikatów konsoli systemowej pod X
Name:		xorg-app-xconsole
Version:	1.0.4
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/app/xconsole-%{version}.tar.bz2
# Source0-md5:	8665c037032e5f6a3acd4b341749aa17
Source1:	xconsole.desktop
Source2:	xconsole.png
Source3:	xconsole.1x.it
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libXaw-devel
BuildRequires:	xorg-lib-libXmu-devel
BuildRequires:	xorg-lib-libXt-devel >= 1.0.0
BuildRequires:	xorg-util-util-macros >= 1.8
Requires:	xorg-lib-libXt >= 1.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The xconsole program displays messages which are usually sent to
/dev/console.

%description -l pl.UTF-8
Program xconsole wyświetla komunikaty, które zwykle są wysyłane na
/dev/console.

%prep
%setup -q -n xconsole-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -D %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/xconsole.desktop
install -D %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}/xconsole.png
install -D %{SOURCE3} $RPM_BUILD_ROOT%{_mandir}/it/man1/xconsole.1x

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/xconsole
%{_datadir}/X11/app-defaults/XConsole
%{_desktopdir}/xconsole.desktop
%{_pixmapsdir}/xconsole.png
%{_mandir}/man1/xconsole.1x*
%lang(it) %{_mandir}/it/man1/xconsole.1x*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-app-xconsole.spec,v $
Revision 1.21  2010/09/24 18:55:21  qboosh
- updated to 1.0.4
- removed obsolete xaw patch

Revision 1.20  2008/11/11 16:25:15  arekm
- rel 3; fix xaw related build

Revision 1.19  2008/11/07 20:51:11  arekm
- release 2

Revision 1.18  2007/08/21 22:21:27  qboosh
- real descs from man page

Revision 1.17  2007/08/21 06:03:54  arekm
- up to 1.0.3

Revision 1.16  2007/02/12 22:09:23  glen
- tabs in preamble

Revision 1.15  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.14  2006/10/14 21:59:54  qboosh
- added it xconsole(1x) from old XFree86/X11 packages

Revision 1.13  2006/04/27 06:26:02  arekm
- up to 1.0.2

Revision 1.12  2006/02/07 13:51:26  qboosh
- merged xconsole.{desktop,png} from monolith

Revision 1.11  2006/01/16 11:09:30  qboosh
- runtime R: libXt >= 1.0.0 (for new app-defaults location)

Revision 1.10  2006/01/12 13:59:38  qboosh
- 1.0.1 (X11R7.0 release)

Revision 1.9  2005/12/09 14:32:18  qboosh
- 0.99.3 (X11R7.0-RC3)

Revision 1.8  2005/11/19 21:12:15  qboosh
- 0.99.2 (X11R7.0-RC2)

Revision 1.7  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.6  2005/10/21 23:25:36  qboosh
- 0.99.1 (X11R7.0-RC1)
- removed outdated man patch

Revision 1.5  2005/08/27 21:46:18  qboosh
- sorted BRs

Revision 1.4  2005/08/27 20:04:01  wiget
- standard permisions to binaries

Revision 1.3  2005/08/27 20:00:45  wiget
- cleanups, kill /usr/X11R6

Revision 1.2  2005/08/27 17:42:47  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:41  arekm
- modular xorg specs

* Sat Aug 13 2005 19:52:39  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- fixed summaries and descriptions
- fixed Group
- defined %%{_prefix} and %%{_mandir}
- added xconsole-man.patch
- added BR: libXaw-devel
- release 0.02

* Sun Aug  7 2005 21:50:42  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- initial release
